.NET compatibility issues when deploying Windows 7, 8 and 10 Operating Systems
search cancel

.NET compatibility issues when deploying Windows 7, 8 and 10 Operating Systems

book

Article ID: 301361

calendar_today

Updated On:

Products

VMware Aria Suite

Issue/Introduction

You experience .NET compatibility issues when deploying on Windows 7, 8 and 10 operating systems. This article provides the script to avoid the .NET error while deploying on 7, 8 & 10.

Environment

VMware vRealize Automation 7.3.x
VMware vRealize Automation 7.4.x
VMware vRealize Automation 6.2.x
VMware vRealize Automation 7.1.x
VMware vRealize Automation 7.x
VMware vRealize Automation 6.x
VMware vRealize Automation 6.2
VMware vRealize Automation 7.0.x
VMware vRealize Automation 7.2.x
VMware vRealize Automation Desktop 6.2.x
VMware vRealize Automation Desktop 6.2

Resolution

This issue is resolved in VMware vRealize Automation 7.4, available at VMware Downloads.

To work around this issue, run the script provided in this KB article.
  1. Download the 53149_bootstrapWin_Script.zip attached in this KB and copy it to /tmp folder on your vRA instance.
     
  2. Extract the zip file to get the script update_bootstrapWin_config_file.sh file.
     
  3. Run the script by running this command:
    ./update_bootstrapWin_config_file.sh
     
  4. This script updates the agent bootstrap zip file with appropriate changes required to avoid the .NET error while deploying on 7, 8 & 10.

Additional Information

简体中文:部署 Windows 7、8 和 10 操作系统时出现 .NET 兼容性问题

Attachments

53149_bootstrapWin_Script.rar get_app